//////////////////////////////////////////////////////////////////////
//                                                                  //
// Programmname: HSA_LCD_Shield - Header                            //
// Datum: 23.04.2018                                                //
// Beschreibung: Header-Datei für das LCD-Shield, welches im Modul  //
//               "Elektronikdesign" erstellt wurde. Hier werden     //
//               alle Funktionen der Klasse "HSA_LCD_Shield" auf-   //
//               geführt und beschrieben.                           //
//                                                                  //
// Autor: Tobias Müller, M. Eng.                                    //
//                                                                  //
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
//////////                  create Header                   //////////
//////////////////////////////////////////////////////////////////////

#ifndef HSA_LCD_Shield
#define HSA_LCD_Shield

//////////////////////////////////////////////////////////////////////
//////////                  Define Symbol                   //////////
//////////////////////////////////////////////////////////////////////

// SDA 
#ifndef HSA_LCD_SDA
#define HSA_LCD_SDA A4
#endif

// SCL
#ifndef HSA_LCD_SCL
#define HSA_LCD_SCL A5
#endif

//////////////////////////////////////////////////////////////////////
//////////              Include Header-Data                 //////////
//////////////////////////////////////////////////////////////////////

#include <Arduino.h>
#include <Wire.h>

//////////////////////////////////////////////////////////////////////
//////////                Global Variable                   //////////
//////////////////////////////////////////////////////////////////////



//////////////////////////////////////////////////////////////////////
//////////                  Define Class                    //////////
//////////////////////////////////////////////////////////////////////

/**
 * @brief HSA_LCD_Shield class 
 * @details Is used, to control all functions of the HSA_LCD_Shield 
 * 
 */
class HSA_LCD_Shield {

//////////////////////////////////////////////////////////////////////
//////////                Privat Functions                  //////////
//////////////////////////////////////////////////////////////////////

private:

//////////////////////////////////////////////////////////////////////
//////////                Public Functions                  //////////
//////////////////////////////////////////////////////////////////////

public:



//////////////////////////////////////////////////////////////////////
//////////                  close Header                    //////////
//////////////////////////////////////////////////////////////////////

};
#endif